import { jsx } from "react/jsx-runtime";
import { CylinderIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Cylinder = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Cylinder", ...props, children: /* @__PURE__ */ jsx(CylinderIcon, { weight: variant }) });
  }
);
Cylinder.displayName = "Cylinder";
Object.assign(Cylinder, { isGdsIcon: true });
export {
  Cylinder
};
